summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tlpdb-update
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tlpdb-update')
-rwxr-xr-xMaster/tlpkg/bin/tlpdb-update15
1 files changed, 15 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/tlpdb-update b/Master/tlpkg/bin/tlpdb-update
new file mode 100755
index 00000000000..e4594a761c2
--- /dev/null
+++ b/Master/tlpkg/bin/tlpdb-update
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Copyright 2007 Norbert Preining
+# This file is licensed under the GNU General Public Licence version 2
+# or any later version.
+#
+# Make new database by calling the tlpsrc -> tlpdb script on all
+# the tlpsrc files.
+
+unset CDPATH
+cd `dirname $0`/../.. || exit 1
+
+perl tlpkg/bin/tlpsrc2tlpdb tlpkg/tlpsrc/*.tlpsrc >texlive.tlpdb.new
+mv texlive.tlpdb texlive.tlpdb.saved
+mv texlive.tlpdb.new texlive.tlpdb
+